<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Content-Language" content="zh-CN" />
<link href="../style/css/manual-zip.css" rel="stylesheet" media="all" type="text/css" title="Main stylesheet" />
<link href="../style/css/manual-zip-100pc.css" rel="alternate stylesheet" media="all" type="text/css" title="No Sidebar - Default font size" />
<link href="../style/css/manual-print.css" rel="stylesheet" media="print" type="text/css" />
<meta name="description" content="mod_dav_lock － Apache 2.2 中文手册 [金步国作品集]">
<title>mod_dav_lock － Apache 2.2 中文手册 [金步国]</title>
<script> var _hmt = _hmt || []; (function() { var hm = document.createElement("script"); hm.src = "https://hm.baidu.com/hm.js?2468a2c5d539e359902070bcd91865b1"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(hm, s); })(); </script>
</head>
<body><div id="page-header">
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p><p class="apache">Apache HTTP Server 版本2.2</p><img alt="" src="../images/feather.gif" /></div>
<div class="up"><a href="./index.html"><img title="&lt;-" alt="&lt;-" src="../images/left.gif" /></a></div>
<div id="path"><a href="https://www.apache.org/">Apache</a> &gt; <a href="https://httpd.apache.org/">HTTP Server</a> &gt; <a href="https://httpd.apache.org/docs/">文档</a> &gt; <a href="../index.html">版本2.2</a> &gt; <a href="./index.html">模块</a></div>

<div id="translation-info">　　 <a href="../translator_announcement.html#thanks">致谢</a> | 本篇译者：&lt;<a href="../translator_announcement.html#join">虚位以待</a>&gt; | 本篇译稿完成时间：?年?月?日</div>
<div id="page-content"><div id="preamble"><h1>Apache模块 mod_dav_lock</h1>

<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="module">
<tr><th><a href="module-dict.html#Description">说明</a></th><td>为<code class="module"><a href="../mod/mod_dav.html">mod_dav</a></code>锁定服务器上的文件提供支持</td></tr>
<tr><th><a href="module-dict.html#Status">状态</a></th><td>扩展(E)</td></tr>
<tr><th><a href="module-dict.html#ModuleIdentifier">模块名</a></th><td>dav_lock_module</td></tr>
<tr><th><a href="module-dict.html#SourceFile">源文件</a></th><td>mod_dav_lock.c</td></tr>
<tr><th><a href="module-dict.html#Compatibility">兼容性</a></th><td>仅在 Apache 2.1 及以后的版本中可用</td></tr>
</table>
<h3>概述</h3>

    <p>This module implements a generic locking API which can be used by any
    backend provider of <code class="module"><a href="../mod/mod_dav.html">mod_dav</a></code>. It <em>requires</em> at least
    the service of <code class="module"><a href="../mod/mod_dav.html">mod_dav</a></code>. But without a backend provider
    which makes use of it, it's useless and should not be loaded into the
    server. A sample backend module which actually utilizes
    <code class="module"><a href="../mod/mod_dav_lock.html">mod_dav_lock</a></code>, is <a href="http://subversion.tigris.org/">mod_dav_svn</a>, the subversion provider module.</p>

    <p>Note that <code class="module"><a href="../mod/mod_dav_fs.html">mod_dav_fs</a></code> does <em>not</em> need this
    generic locking module, because it uses it's own more specialized
    version.</p>

    <p>In order to make <code class="module"><a href="../mod/mod_dav_lock.html">mod_dav_lock</a></code> functional, you just have
    to specify the location of the lock database using the <code class="directive"><a href="#davgenericlockdb">DavGenericLockDB</a></code> directive described
    below.</p>

    <div class="note"><h3>Developer's Note</h3>
      <p>In order to retrieve the pointer to the locking provider function, you
      have to use the <code>ap_lookup_provider</code> API with the arguments
      <code>dav-lock</code>, <code>generic</code>和<code>0</code>.</p>
    </div>
</div>
<div class="top"><a href="#page-header"><img alt="top" src="../images/up.gif" /></a></div>
<div class="directive-section"><h2><a name="DavGenericLockDB" id="DavGenericLockDB">DavGenericLockDB</a> <a name="davgenericlockdb" id="davgenericlockdb">指令</a></h2>
<table border="1" cellpadding="0" cellspacing="0" bordercolor="#AAAAAA" class="directive">
<tr><th><a href="directive-dict.html#Description">说明</a></th><td>Location of the DAV lock database</td></tr>
<tr><th><a href="directive-dict.html#Syntax">语法</a></th><td><code>DavGenericLockDB <var>file-path</var></code></td></tr>
<tr><th><a href="directive-dict.html#Context">作用域</a></th><td>server config, virtual host, directory</td></tr>
<tr><th><a href="directive-dict.html#Status">状态</a></th><td>扩展(E)</td></tr>
<tr><th><a href="directive-dict.html#Module">模块</a></th><td>mod_dav_lock</td></tr>
</table>
    <p>Use the <code class="directive">DavGenericLockDB</code> directive to specify
    the full path to the lock database, excluding an extension. If
    the path is not absolute, it will be taken relative to <code class="directive"><a href="../mod/core.html#serverroot">ServerRoot</a></code>. The implementation of
    <code class="module"><a href="../mod/mod_dav_lock.html">mod_dav_lock</a></code> uses a SDBM database to track user
    locks.</p>

    <div class="example"><h3>示例</h3><p><code>
      DavGenericLockDB var/DavLock
    </code></p></div>

    <p>The directory containing the lock database file must be
    writable by the <code class="directive"><a href="../mod/mpm_common.html#user">User</a></code>和<code class="directive"><a href="../mod/mpm_common.html#group">Group</a></code> under which
    Apache is running.  For security reasons, you should create a
    directory for this purpose rather than changing the permissions on
    an existing directory.  In the above example, Apache will create
    files in the <code>var/</code> directory under the <code class="directive"><a href="../mod/core.html#serverroot">ServerRoot</a></code> with the base filename
    <code>DavLock</code> and extension name chosen by the server.</p>


</div>
</div>
<div id="footer">
<p class="apache">本文允许自由的转载、引用、再分发，但必须保留译者署名并注明出处；详见：<a href="../translator_announcement.html#announcement">版权声明</a>。</p>
<p class="menu"><a href="../mod/index.html">模块索引</a> | <a href="../mod/directives.html">指令索引</a> | <a href="../faq/index.html">常见问题</a> | <a href="../glossary.html">词汇表</a> | <a href="../sitemap.html">站点导航</a></p></div>
</body></html>
